//this file is part of eMule
//Copyright (C)2002 Merkur ( merkur-@users.sourceforge.net / http://emule.sf.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


// ServerListCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "emule.h"
#include "ServerListCtrl.h"

// CServerListCtrl

IMPLEMENT_DYNAMIC(CServerListCtrl, CTreeCtrl)
CServerListCtrl::CServerListCtrl(){
}

bool CServerListCtrl::Init(CServerList* in_list){
	// Set Imagelist
	server_list = in_list;
	imagelist.Create(16,16,ILC_COLOR,0,10);
	imagelist.SetBkColor(RGB(255,255,255));
	imagelist.Add(theApp.LoadIcon(IDI_ICON1));
	this->SetImageList(&imagelist,TVSIL_NORMAL);
	return true;
}

CServerListCtrl::~CServerListCtrl() {
}

void CServerListCtrl::ShowServers(){
	DeleteAllItems();
	for(POSITION pos = server_list->list->GetHeadPosition(); pos != NULL;server_list->list->GetNext(pos)) {
		HTREEITEM rootitem = InsertItem(server_list->list->GetAt(pos)->GetListName());
		server_list->list->GetAt(pos)->FillWindowTags(this,rootitem);		
	}
}

void CServerListCtrl::AddServer(CServer* toadd,bool addtolist){
	server_list->AddServer(toadd);
	HTREEITEM rootitem = InsertItem(toadd->GetListName());
	toadd->FillWindowTags(this,rootitem);
	EnsureVisible(rootitem);
}


BEGIN_MESSAGE_MAP(CServerListCtrl, CTreeCtrl)
END_MESSAGE_MAP()



// CServerListCtrl message handlers

